directory: ~/music
plugins:
- autobpm
- badfiles
- chroma
- duplicates
- edit
- fetchart
- fromfilename
- importadded
- info
- lastgenre
- lyrics
- mbsync
- missing
- musicbrainz
- parentwork
- replaygain
- scrub

# core
id3v23: yes
paths:
  default: $albumartist/$year $album%aunique{}/$track - $title
  singleton: misc/%the{$artist}/$title
  comp: compilation/$album%aunique{} ($year)/$track - %the{$artist} - $title
ui:
  color: yes
import:
  log: /home/pushcx/.config/beets/import.log
  copy: false
  move: false
  write: false
  resume: false
  incremental: true

# plugins
autobpm:
  auto: true
  force: true
badfiles:
  # ignores --quiet on first run, so it has the same UX problem
  check_on_import: false
  commands:
    m4a: ffmpeg -v error -f null - -i
    mp4: ffmpeg -v error -f null - -i
    ogg: oggz-validate
    wav: "true"
chroma:
  auto: true
# run `beet duplicates` https://docs.beets.io/en/stable/plugins/duplicates.html
duplicates:
  count: true
# embedart is popular but not enabled above in plugins:, not sure I'll need it
embedart:
  auto: yes
  ifempty: true
  remove_art_file: false
fetchart:
  auto: true
lastgenre:
  auto: true
  count: 10
  source: track
  title_case: yes
lyrics:
  auto: true
  force: true
  # removed google, no api key
  # removed tekstowo, slow + throws 403s
  sources: [lrclib, genius]
  genius_api_key: asdfasdf
  synced: true
# run `beet missing` to list missing tracks
missing:
  count: true
  total: true
parentwork:
  auto: true
replaygain:
  auto: true
  backend: ffmpeg
  overwrite: yes
scrub:
  auto: false
